import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Row, Col } from 'antd';
import styles from './addForm.less';
import PicturesWall from '@/components/Upload/index';

const { Item } = Form;
const EditForm = props => {
  const { submitCallback, nodeType, info } = props;
  const [form] = Form.useForm();
  const [otherForm] = Form.useForm();
  console.log(info);
  const layout = {
    layout: 'horizontal',
    labelCol: { span: 4, offset: 1 },
    wrapperCol: { span: 16 },
  };
  // 回显表单
  useEffect(() => {
    form.resetFields();
    otherForm.resetFields();
  }, [info]);
  useEffect(() => {
    if (nodeType === 1 || nodeType === 2) {
      let arr = Object.keys(form.getFieldsValue());
      let obj = {};
      arr.map(i => {
        obj[i] = info[i];
      });
      form.setFieldsValue({ ...obj, shortName: info.menuShortName });
    }
    if (nodeType === 3 || nodeType === 4) {
      let arr = Object.keys(otherForm.getFieldsValue());
      let obj = {};
      arr.map(i => {
        obj[i] = info[i];
      });
      otherForm.setFieldsValue({ ...obj, shortName: info.menuShortName });
    }
  }, [info]);

  const submit = () => {
    if (nodeType === 1 || nodeType === 2) {
      let obj = form.getFieldsValue();
      console.log(obj, '1,2');
      submitCallback(obj);
    }
    if (nodeType === 3 || nodeType === 4) {
      let obj = otherForm.getFieldsValue();
      console.log(obj, '3,4');
      submitCallback(obj);
    }
  };
  const onFinish = () => {
    submit();
  };
  return (
    <div>
      {(nodeType === 1 || nodeType === 2) && (
        <Form
          form={form}
          name="editGroup"
          {...layout}
          className={styles.formStyle}
          onFinish={onFinish}
        >
          <Item
            label="分组名称"
            name="menuName"
            rules={[
              {
                required: true,
                message: '请输入分组名称',
              },
            ]}
          >
            <Input />
          </Item>
          <Item label="分组别名" name="shortName">
            <Input />
          </Item>
          {nodeType === 1 && (
            <Item
              label="在线图标"
              name="imageUrl"
              rules={[
                {
                  required: true,
                  message: '请选择在线图标',
                },
              ]}
            >
              <PicturesWall />
            </Item>
          )}
          {nodeType === 1 && (
            <Item
              label="离线图标"
              name="offlineImgUrl"
              rules={[
                {
                  required: true,
                  message: '请选择离线图标',
                },
              ]}
            >
              <PicturesWall />
            </Item>
          )}

          {nodeType === 2 && (
            <Item
              label="分组图标"
              name="imageUrl"
              rules={[
                {
                  required: true,
                  message: '请选择分组图标',
                },
              ]}
            >
              <PicturesWall />
            </Item>
          )}
          <Item label="功能参数" name="funParam">
            <Input />
          </Item>
          <Item wrapperCol={{ offset: 5 }} style={{ marginTop: '40px' }}>
            <Button type="primary" htmlType="submit">
              提交
            </Button>
          </Item>
        </Form>
      )}

      {(nodeType === 3 || nodeType === 4) && (
        <Form
          form={otherForm}
          name="editMenu"
          {...layout}
          onFinish={onFinish}
          className={styles.formStyle}
        >
          <Item
            label="菜单名称"
            name="menuName"
            rules={[
              {
                required: true,
                message: '请输入菜单名称',
              },
            ]}
          >
            <Input />
          </Item>
          <Item label="菜单别名" name="shortName">
            <Input />
          </Item>
          {nodeType === 3 && (
            <Item
              label="在线图标"
              name="imageUrl"
              rules={[
                {
                  required: true,
                  message: '请选择在线图标',
                },
              ]}
            >
              <PicturesWall />
            </Item>
          )}
          {nodeType === 3 && (
            <Item
              label="离线图标"
              name="offlineImgUrl"
              rules={[
                {
                  required: true,
                  message: '请选择离线图标',
                },
              ]}
            >
              <PicturesWall />
            </Item>
          )}
          {nodeType === 4 && (
            <Item
              label="菜单图标"
              name="imageUrl"
              rules={[
                {
                  required: true,
                  message: '请选择菜单图标',
                },
              ]}
            >
              <PicturesWall />
            </Item>
          )}
          <Item
            label="功能路径"
            name="pageUrl"
            rules={[
              {
                required: true,
                message: '请输入功能路径',
              },
            ]}
          >
            <Input />
          </Item>
          <Item label="功能参数" name="funParam">
            <Input />
          </Item>
          <Item wrapperCol={{ offset: 5 }} style={{ marginTop: '40px' }}>
            <Button type="primary" htmlType="submit">
              提交
            </Button>
          </Item>
        </Form>
      )}
    </div>
  );
};
export default EditForm;
